Get Databricks Metric View preview status
curl --request GET \
--url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/databricks-metric-view-previews/{previewId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/databricks-metric-view-previews/{previewId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/databricks-metric-view-previews/{previewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataSourceName": "<string>",
"deploymentId": 123,
"previewId": "<string>",
"progress": {
"message": "<string>",
"percentComplete": 123,
"stage": "QUEUED"
},
"resultAvailable": true,
"startedAt": "<string>",
"status": "QUEUED",
"updatedAt": "<string>",
"error": "<string>"
}Databricks Metric View Publication
Get Databricks Metric View preview status
GET
/
api
/
v1
/
deployments
/
{deploymentId}
/
databricks-metric-view-previews
/
{previewId}
Get Databricks Metric View preview status
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Response
200 - application/json
Show child attributes
Show child attributes
Pattern:
\d{4}-[01]\d-[0-3]\dT[0-2]\d:[0-5]\d:[0-5]\d.\d+Z?Available options:
QUEUED, RUNNING, COMPLETED, FAILED, CANCELLED Pattern:
\d{4}-[01]\d-[0-3]\dT[0-2]\d:[0-5]\d:[0-5]\d.\d+Z?